html, body {
  margin: 0;
  padding: 0;
}

body {
  padding: 1ex 1ex 1ex calc(300px + 1ex);
  text-align: center;
}

body > img {
  display: block;
  margin: 0 auto;
}

body.fit {
  overflow: hidden;
}

.appHidden {
  display: none;
}

menu {
  display: flex;
  flex-direction: column;
  box-sizing: border-box;
  text-align: center;
  margin: 0;
  padding: 2ex 1em;
  position: fixed;
  top: 0;
  left: 0;
  width: 300px;
  height: 100vh;
  background-color: #e9f3e1;
  color: #354c20;
  box-shadow: 2px 0 5px #c3ccbe;
  font-family: Verdana, sans-serif;
  font-size: 13px;
  z-index: 1;
}

menu .logo {
  text-align: center;
  display: inline-block;
  font-family: Arial, sans-serif;
  font-size: 1000%;
  background-color: #a0e361;
  color: #20390b;
  padding: .1em;
}

menu .logo .name {
  font-size: 11%;
  display: block;
  margin-top: -2ex;  
  font-variant: petite-caps;
}

menu .barChart {
  height: 70px;
  display: flex;
  align-items: flex-end;
  margin-bottom: 1ex;
  border: solid 1px #354c20;
  flex: 0 0 auto;
}

menu .barChart .bar {
  display: inline-block;
  width: 1px;
  flex: 1 0 auto;
  background-color: #354c20;
}

menu .tool {
  margin-top: 1em;
  padding: .3em;
}

menu label.tool {
  display: flex;
  padding: 0;
}

menu label.tool span {
  padding: 0 .2em 0 0;
}

menu label.tool input {
  flex: 1 0 auto;
}

menu label {
  display: block;
  text-align: left;
}

menu label * {
  vertical-align: middle;
}

menu .flexContainer {
  display: flex; 
  flex-direction: column;
  flex: 1 0 auto;
}

menu .dataContainer {
  flex: 1 0 auto;
  display: flex;
  flex-direction: column;
  padding: 1em 0;
}
menu .dataContainer textarea {
  flex: 1 0 auto;
}

menu .areaLabel {
  text-align: left;
  padding: 2em 0 .5em 0;
  font-variant: small-caps;
  font-weight: bold;
}

canvas {
  display: block;
  margin: 0 auto;
}

#appGraphDataLayer {
  position: absolute;
}

#appGraphDataLayer .point {
  position: absolute;
  display: inline-block;
  width: 3px;
  height: 3px;
  background-color: red;
}

#appGraphDataLayer .point.symmetry {
  background-color: lime;
}